package com.quyunshuo.module.home.dialog

import android.animation.ObjectAnimator
import android.animation.ValueAnimator
import android.content.Context
import android.os.Handler
import android.view.View
import android.view.View.OnLongClickListener
import android.view.animation.LinearInterpolator
import android.widget.ImageView
import androidx.lifecycle.Lifecycle
import androidx.lifecycle.LifecycleObserver
import androidx.lifecycle.OnLifecycleEvent
import com.hboxs.serialport.plc.DialogClickListener
import com.quyunshuo.androidbaseframemvvm.base.mvvm.v.BaseFrameDialog
import com.quyunshuo.androidbaseframemvvm.base.utils.getString
import com.quyunshuo.androidbaseframemvvm.common.util.LongClickUtils
import com.quyunshuo.module.home.R
import com.quyunshuo.module.home.databinding.BackstageDialogTipsBinding
import com.quyunshuo.module.home.databinding.BackstageDialogWarringBinding
import com.quyunshuo.module.home.databinding.CommonDialogBinding
import com.quyunshuo.module.home.databinding.LoadingDialogBinding

/**
 * 报警 对话框
 */
class LoadingDialog(mContext: Context) : BaseFrameDialog<LoadingDialogBinding>(mContext),
    LifecycleObserver {

    var type1: Int = 1
    var type2: Int = 2

    var errorType = ""
    private var devOnoffDialoglistener: DialogClickListener? = null

    override fun LoadingDialogBinding.initView() {
        LongClickUtils.setLongClick(Handler(), ivWarringImg, 5000, object : OnLongClickListener {
            override fun onLongClick(v: View?): Boolean {
                if (errorType.startsWith("01")) {
                    devOnoffDialoglistener?.onClickListener(type1, null)
                } else if (errorType.startsWith("02")) {
                    devOnoffDialoglistener?.onClickListener(type2, null)
                }

                return true
            }

        })

    }
    public fun startCustomRotation(){
       // mBinding.loadingImg.startCustomRotation()
    }
    public fun stopCustomRotation(){
       // mBinding.loadingImg.stopCustomRotation()
    }


    @OnLifecycleEvent(Lifecycle.Event.ON_STOP)
    override fun dismiss() {

        super.dismiss()
    }

    override fun createVB() = LoadingDialogBinding.inflate(layoutInflater)


    override fun initObserve() {
    }

    override fun initRequestData() {
    }

    fun setListener(listener: DialogClickListener) {
        this.devOnoffDialoglistener = listener
    }


}